#ifndef DISCATTACK_H
#define DISCATTACK_H

/**
* Disc attacks
* @version 31-3-2002
* @author Herwin 'harSens' van Welbergen
*/
class CDiscAttack:public CMagicAttack
{	
public:
	/**
	* Gets called whenever the MagicAttack hits another entity
	* @param CBaseEntity pOther: the entity wich is hit
	*/
	void EXPORT HitTouch( CBaseEntity *pOther );

	/**
	 * Removes the triapi disc
	 */
	void Remove();

	/**
	 * Spawns a disc
	 */
	void Spawn();

	int Classify(){return CLASS_DISCATTACK;}

	/**
	 * Makes attack ready for removal
	 */
	void Vaporize();

	int m_fReleased, m_fRemoved;

	/*
	* Pcjoe: Aura Check
	*/
	void EXPORT AuraCheck( void );
private:
	CBaseEntity *m_pPreviousHit;	
};
#endif
